<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pivote_areas_cursos_docentes', function (Blueprint $table) {
            $table->id();
            $table->foreignId('id_area')->constrained('areas');
            $table->foreignId('id_curso')->constrained('cursos');
            $table->foreignId('id_docente')->constrained('docentes');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pivote_areas_cursos_docentes');
    }
};
